## LassoSamlSubject

LassoSamlSubject — <saml:Subject>

## Functions

LassoNode * | lasso_saml_subject_new ()

## Types and Values

struct | LassoSamlSubject

## Object Hierarchy

        GObject
        ╰── LassoNode
            ╰── LassoSamlSubject
                ╰── LassoLibSubject

## Description

Figure 43. Schema fragment for saml:Subject

    <element name="Subject" type="saml:SubjectType"/>
    <complexType name="SubjectType">
      <choice>
        <sequence>
          <element ref="saml:NameIdentifier"/>
          <element ref="saml:SubjectConfirmation" minOccurs="0"/>
        </sequence>
        <element ref="saml:SubjectConfirmation"/>
      </choice>
    </complexType>

## Functions

### lasso_saml_subject_new ()

    LassoNode *
    lasso_saml_subject_new (void);

Creates a new LassoSamlSubject object.

#### Returns

a newly created LassoSamlSubject object

## Types and Values

### struct LassoSamlSubject

    struct LassoSamlSubject {
    	LassoSamlNameIdentifier *NameIdentifier;
    	LassoSamlSubjectConfirmation *SubjectConfirmation;
    	LassoSaml2EncryptedElement *EncryptedNameIdentifier;
    };